# initial configuration of database
#
# VERSION=1
# CHANGES="initial version"

# Table 'users'
CREATE TABLE users (id INTEGER PRIMARY KEY , user VARCHAR(20), password VARCHAR(15), group_ VARCHAR(15));

# Table 'sip'
CREATE TABLE sip (id INTEGER PRIMARY KEY , name VARCHAR(60), sip_proxy VARCHAR(60), sip_registrar VARCHAR(60), sip_domain VARCHAR(60), user VARCHAR(60), secret VARCHAR(60), register VARCHAR(60) NOT NULL DEFAULT  '0', def INTEGER DEFAULT 0, config VARCHAR(255), stunserver VARCHAR(25) NOT NULL DEFAULT '', externip VARCHAR(25) NOT NULL DEFAULT '', regrefresh INTEGER NOT NULL DEFAULT 300, register_option VARCHAR(25) NOT NULL DEFAULT 'no-validate no-options-keepalive', auth_user VARCHAR(255) NOT NULL DEFAULT '', displayname VARCHAR(255) NOT NULL DEFAULT '', sip_transport VARCHAR(255) NOT NULL DEFAULT 'udp', matchtype VARCHAR(100) DEFAULT 'address', matchtype_manual VARCHAR(100) DEFAULT NULL, profile VARCHAR(100) NOT NULL DEFAULT 'manual', enum_support INTEGER NOT NULL DEFAULT 0, enum_search_domain VARCHAR(255) NOT NULL DEFAULT '', keepalive_interval INTEGER NOT NULL DEFAULT 0, call_transfer_method VARCHAR(255) NOT NULL DEFAULT 'refer', sip_custom_port INTEGER DEFAULT NULL, sip_stack VARCHAR(10) NOT NULL DEFAULT 'lan', validation VARCHAR(60) NOT NULL DEFAULT  '0', regrefresh_on_validation_fail VARCHAR(60) NOT NULL DEFAULT  '0', callgroup_name VARCHAR(255), callgroup_priority VARCHAR(255), max_simultaneous_calls VARCHAR(255), dns_change_registration_behaviour VARCHAR(60) NOT NULL DEFAULT 'change_when_no_calls', dns_change_minimum_registration_time VARCHAR(60) NOT NULL DEFAULT  '900');

# Table 'dialplan'
CREATE TABLE dialplan (id INTEGER PRIMARY KEY, fromDirection VARCHAR(15), toDirection VARCHAR(15), fromId VARCHAR(60), toId VARCHAR(60), dest VARCHAR(60), newDest VARCHAR(100), src VARCHAR(60), newSrc VARCHAR(100), config VARCHAR(255), isdnid VARCHAR(100) NOT NULL DEFAULT '', posId INTEGER NOT NULL DEFAULT 0, comment VARCHAR(110) NOT NULL DEFAULT '', activ INTEGER NOT NULL DEFAULT 1);

# Table 'acl'
CREATE TABLE acl (id INTEGER PRIMARY KEY, protocol VARCHAR(5) DEFAULT NULL, dest_port INTEGER DEFAULT NULL, address VARCHAR(60) DEFAULT NULL, netmask INTEGER, stack VARCHAR(5) DEFAULT NULL, action VARCHAR(16) DEFAULT NULL );

# Table 'whitelist'
CREATE TABLE whitelist (id INTEGER PRIMARY KEY, address VARCHAR(60) DEFAULT NULL, netmask INTEGER, sipstack VARCHAR(60) DEFAULT NULL);

# Table 'set_app'
CREATE TABLE set_app (show_app INTEGER DEFAULT 0);
INSERT INTO set_app VALUES(0);

# Table 'callprogess'
CREATE TABLE callprogress (id INTEGER PRIMARY KEY, name VARCHAR(50) NOT NULL, direction VARCHAR(30) NOT NULL, timer_dial INTERGER DEFAULT '10000', timer_polrev INTERGER DEFAULT '10000', timer_alerting_stop INTERGER DEFAULT '-1');

# Table 'callprogress_entries'
CREATE TABLE callprogress_entries (id INTEGER PRIMARY KEY, type VARCHAR(50) NOT NULL, sip_resp VARCHAR(30) NOT NULL, resp_text VARCHAR(150) NOT NULL, isdn_event VARCHAR (250) NOT NULL, chann_det VARCHAR (50) NOT NULL, id_name INTEGER);

# Table 'key_val'
CREATE TABLE key_val (key VARCHAR(50), value VARCHAR(50));

# Table 'isgw_causes'
CREATE TABLE isgw_causes (id INTEGER PRIMARY KEY, direction VARCHAR(50) NOT NULL, to_cause VARCHAR(50) NOT NULL, from_cause VARCHAR(50) NOT NULL, sip_response_message VARCHAR(255) NOT NULL);
